## org.biojava.bio.symbol
Class DoubleAlphabet.DoubleSymbol

    java.lang.Object
      |
      +--org.biojava.bio.symbol.DoubleAlphabet.DoubleSymbol

Enclosing class:
  DoubleAlphabet

public static class DoubleAlphabet.DoubleSymbol
extends java.lang.Object
implements AtomicSymbol, java.io.Serializable

A single double value.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`protected` `DoubleAlphabet.DoubleSymbol(double val)`

Method Summary
`double` `doubleValue()`
`Annotation` `getAnnotation()` Should return the associated annotation object.
`Alphabet` `getMatches()` Return an alphabet containing only this symbol.
`java.lang.String` `getName()` The long name for the symbol.
`char` `getToken()` The token for the symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleAlphabet.DoubleSymbol

    protected DoubleAlphabet.DoubleSymbol(double val)

Method Detail

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: Annotatable
  Should return the associated annotation object.
  Tags copied from interface: Annotatable
  Returns:
    an Annotation object, never null

### getName

    public java.lang.String getName()

  Description copied from interface: Symbol
  The long name for the symbol.
  Tags copied from interface: Symbol
  Returns:
    the long name

### getToken

    public char getToken()

  Description copied from interface: Symbol
  The token for the symbol.
  Tags copied from interface: Symbol
  Returns:
    the token

### doubleValue

    public double doubleValue()

  Returns:
    the double value associated with this double symbol

### getMatches

    public Alphabet getMatches()

  Description copied from interface: AtomicSymbol
  Return an alphabet containing only this symbol.
  Specified by:
    getMatches in interface AtomicSymbol
  Tags copied from interface: Symbol
  Returns:
    the Alphabet of symbols matched by this symbol